import { IDIService } from "./IDIService";
import { CancelationTokenSource } from './CancelationTokenSource';
import { IEnumerable } from "linq-to-typescript";
declare global {
    interface Array<T> extends IEnumerable<T> {
    }
    interface Uint8Array extends IEnumerable<number> {
    }
    interface Uint8ClampedArray extends IEnumerable<number> {
    }
    interface Uint16Array extends IEnumerable<number> {
    }
    interface Uint32Array extends IEnumerable<number> {
    }
    interface Int8Array extends IEnumerable<number> {
    }
    interface Int16Array extends IEnumerable<number> {
    }
    interface Int32Array extends IEnumerable<number> {
    }
    interface Float32Array extends IEnumerable<number> {
    }
    interface Float64Array extends IEnumerable<number> {
    }
    interface Map<K, V> extends IEnumerable<[K, V]> {
    }
    interface Set<T> extends IEnumerable<T> {
    }
    interface String extends IEnumerable<string> {
    }
}
export declare class Api {
    static WorksInContextOf: string;
    static Version: number;
    static Init(): void;
    static GetAsync<T extends IDIService>(classType: {
        new (...params: any[]): T;
    }, cancelationToken?: CancelationTokenSource): Promise<T>;
    static GetWithTimeoutAsync<T extends IDIService>(classType: {
        new (...params: any[]): T;
    }, timeout: number): Promise<T>;
    static Get<T extends IDIService>(classType: {
        new (...params: any[]): T;
    }): T;
    static SleepForAsync(miliseconds: number): Promise<void>;
}
